org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class SampleTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.SampleTest

- Direct Known Subclasses:
    SampleTest.Traversals

      public abstract class SampleTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SampleTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SampleTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_E_sampleX1X()`
    `void` | `g_E_sampleX2X_byXweightX()`
    `void` | `g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()`
    `void` | `g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()`
    `void` | `g_V_localXoutE_sampleX1X_byXweightXX()`
    `abstract Traversal<Edge,Edge>` | `get_g_E_sampleX1X()`
    `abstract Traversal<Edge,Edge>` | `get_g_E_sampleX2X_byXweightX()`
    `abstract Traversal<Vertex,Map<String,Collection<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()`
    `abstract Traversal<Vertex,Map<String,Collection<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_localXoutE_sampleX1X_byXweightXX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SampleTest

          public SampleTest()

  - ### Method Detail

    - #### get_g_E_sampleX1X

          public abstract Traversal<Edge,Edge> get_g_E_sampleX1X()

    - #### get_g_E_sampleX2X_byXweightX

          public abstract Traversal<Edge,Edge> get_g_E_sampleX2X_byXweightX()

    - #### get_g_V_localXoutE_sampleX1X_byXweightXX

          public abstract Traversal<Vertex,Edge> get_g_V_localXoutE_sampleX1X_byXweightXX()

    - #### get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX

          public abstract Traversal<Vertex,Map<String,Collection<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()

    - #### get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX

          public abstract Traversal<Vertex,Map<String,Collection<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()

    - #### g_E_sampleX1X

          public void g_E_sampleX1X()

    - #### g_E_sampleX2X_byXweightX

          public void g_E_sampleX2X_byXweightX()

    - #### g_V_localXoutE_sampleX1X_byXweightXX

          public void g_V_localXoutE_sampleX1X_byXweightXX()

    - #### g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX

          public void g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()

    - #### g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX

          public void g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.